View Issue Details

IDProjectCategoryView StatusLast Update
0002216unrealdocumentationpublic2015-08-08 17:50
ReporterStealthAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-alpha4 
Summary0002216: More documentation for channel mode +u
DescriptionI think there needs to be more documentation for channel mode +u and the way it reacts with other modes (particulary +m).

After years of using Unreal, I still do not fully understand this mode. I think more documentation would help people understand the mode, and its purpose.
TagsNo tags attached.
3rd party modules

Relationships

related to 0004160 closedtmcarthur Channel mode +u/+mu 

Activities

syzop

2004-12-03 18:17

administrator   ~0008477

Yeah, I agree.

Dukat

2004-12-04 05:13

reporter   ~0008480

Maybe it should be added to the example.conf as set::restrict-channelmodes?

Stealth

2004-12-04 12:27

reporter   ~0008482

Last edited: 2004-12-04 12:27

NO!

Adding this mode to the example conf will just cause problems. I think it is better off just being better documented.

White_Magic

2004-12-04 17:18

reporter   ~0008492

erm, i thought it worked 2ways only?!

1)+u without +m/+M, hides users but shows them and the nickname to all users in the room as they talk,

2)+u with +m/+M,hides the list (unless op or higher) and Only shows the OPS / ircops the text they say in the form of "<IRC> nickname: text"

is there more than these 2?!

syzop

2004-12-04 17:29

administrator   ~0008493

Well, stuff like the +b IRC!*@* thing (in case of +mu) are also undocumented.

syzop

2015-08-08 17:50

administrator   ~0018640

+u is gone, and so is this bug :)

Issue History

Date Modified Username Field Change
2004-12-03 18:16 Stealth New Issue
2004-12-03 18:17 syzop Note Added: 0008477
2004-12-03 18:17 syzop Status new => confirmed
2004-12-04 05:13 Dukat Note Added: 0008480
2004-12-04 12:27 Stealth Note Added: 0008482
2004-12-04 12:27 Stealth Note Edited: 0008482
2004-12-04 17:18 White_Magic Note Added: 0008492
2004-12-04 17:29 syzop Note Added: 0008493
2013-01-09 10:41 syzop Relationship added related to 0004160
2015-08-08 17:50 syzop Note Added: 0018640
2015-08-08 17:50 syzop Status confirmed => resolved
2015-08-08 17:50 syzop Fixed in Version => 3.4-alpha4
2015-08-08 17:50 syzop Resolution open => fixed
2015-08-08 17:50 syzop Assigned To => syzop